Remove a subscriber
POST /subscribers/{MailingListID}/remove.{Format}
Removes a subscriber from a specific email list permanently without moving the subscriber to the suppression list. The status of the subscriber is Archived.
Request
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| Accept | header | string | true | Determines the expected format and data type to retrieve the response data.Value: application/json |
| MailingListID | path | string | true | The ID of the email list that contains the subscriber you want to remove. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| body | string | true | The email address of the subscriber. |
http
curl
Response
| Status | Description | Headers | Schema |
|---|---|---|---|
| 200 OK | The request is successful. | Content-Type/json | N/A |
json
-
Code- the response code. This is0if successful. -
Error- the response error message. This isnullif successful. -
Context- this isnullif successful.
If you have suggestions for improving this article, let us know!